package com.magistr.app.dto;

public class LoginResponse {

    private boolean success;
    private String message;
    private String token;
    private String role;
    private String redirect;
    private Long departmentId;
    private Long userId;

    public LoginResponse() {
    }

    public LoginResponse(boolean success, String message, String token, String role, String redirect, Long departmentId) {
        this(success, message, token, role, redirect, departmentId, null);
    }

    public LoginResponse(boolean success, String message, String token, String role, String redirect, Long departmentId, Long userId) {
        this.success = success;
        this.message = message;
        this.token = token;
        this.role = role;
        this.redirect = redirect;
        this.departmentId = departmentId;
        this.userId = userId;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getRedirect() {
        return redirect;
    }

    public void setRedirect(String redirect) {
        this.redirect = redirect;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
